# OSD_SingleProtection.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | OSD_SingleProtection { OSD_None, OSD_R, OSD_W, OSD_RW, OSD_X, OSD_RX, OSD_WX, OSD_RWX, OSD_D, OSD_RD, OSD_WD, OSD_RWD, OSD_XD, OSD_RXD, OSD_WXD, OSD_RWXD }
| locks for files. NoLock is the default value when opening a file. More...

## Enumeration Type Documentation

enum OSD_SingleProtection

Enumeration values:

  OSD_None |
  OSD_R |
  OSD_W |
  OSD_RW |
  OSD_X |
  OSD_RX |
  OSD_WX |
  OSD_RWX |
  OSD_D |
  OSD_RD |
  OSD_WD |
  OSD_RWD |
  OSD_XD |
  OSD_RXD |
  OSD_WXD |
  OSD_RWXD |